package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SysCoupon;
import cn.wise.sc.consume.business.model.CouponAppListVO;
import cn.wise.sc.consume.business.model.CouponDetailVO;
import cn.wise.sc.consume.business.model.CouponListVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
public interface SysCouponMapper extends BaseMapper<SysCoupon> {

	List<CouponListVO> getCouponPage(@Param("map") Map<String,Object> map);

	CouponDetailVO getCouponDetail(Long id);

	List<CouponAppListVO> getCouponAppList(@Param("coridc") String coridc, @Param("usridc") String usridc );





}
