package cn.wise.sc.consume.business.util;

import cn.wise.sc.consume.business.model.LoginUser;
import cn.wise.sc.consume.business.security.JwtAuthenticationToken;
import org.springframework.security.authentication.AnonymousAuthenticationToken;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;


public class UserUtil {

	/*public static LoginUser getLoginUser() {
		Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
		if (authentication != null) {
			if (authentication instanceof AnonymousAuthenticationToken) {
				return null;
			}

			if (authentication instanceof UsernamePasswordAuthenticationToken) {
				return (LoginUser) authentication.getPrincipal();
			}
		}

		return null;
	}*/

	public static LoginUser getLoginUser() {
		Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
		if (authentication != null) {
			if (authentication instanceof AnonymousAuthenticationToken) {
				return null;
			}
			if (authentication instanceof JwtAuthenticationToken) {
				JwtAuthenticationToken sysUser = (JwtAuthenticationToken) authentication;
				return (LoginUser)sysUser.getPrincipal();
			}
			if (authentication instanceof UsernamePasswordAuthenticationToken) {
				UsernamePasswordAuthenticationToken sysUser = (UsernamePasswordAuthenticationToken) authentication;
				return (LoginUser)sysUser.getPrincipal();
			}
		}

		return null;
	}

}
